Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
radm::SerialAccessPort::Settings Struct Reference

## Public Attributes
string | name
| Port name.
Emulation | emulation
| Terminal emulation setting.
Encoding | encoding
| Character encoding.
DeviceInterfaceType | devIfType
| Interface type override.
int | baudRate
| Baud rate.
Parity | parity
| Parity mode.
FlowControl | flowCtrl
| Flow control mode.
int | stopBits
| Number of stop bits (1 or 2)
int | txCharDelayMs
| Delay after each transmitted character (in ms)
int | txLineDelayMs
| Delay after each transmitted line (in ms)
int | breakDurationMs
| Duration of transmitted break conditions (in ms)
boolean | multiWriteMode
| Whether multiple port accessors can write to the same port simultaneously.
boolean | alwaysActive
| Whether data should be read and buffered even if no client is currently connected.
string | escChar
| Character for going from terminal to command mode (at most 1 character)
EscapeKeyModifier | escKeyModifier
| Key modifier for going from terminal to command mode.
vector< ExitCommandItem > | exitCommand
| Sequence of commands to send when a client disconnects.
int | sshDpaPort
| SSH port for directly accessing this serial port (in case SSH-DPA is enabled)

## Detailed Description

Definition at line 65 of file SerialAccessPort.idl.

## Member Data Documentation

## ◆ alwaysActive

boolean radm::SerialAccessPort::Settings::alwaysActive

Whether data should be read and buffered even if no client is currently connected.

Definition at line 78 of file SerialAccessPort.idl.

## ◆ baudRate

int radm::SerialAccessPort::Settings::baudRate

Baud rate.

Definition at line 70 of file SerialAccessPort.idl.

## ◆ breakDurationMs

int radm::SerialAccessPort::Settings::breakDurationMs

Duration of transmitted break conditions (in ms)

Definition at line 76 of file SerialAccessPort.idl.

## ◆ devIfType

DeviceInterfaceType radm::SerialAccessPort::Settings::devIfType

Interface type override.

Definition at line 69 of file SerialAccessPort.idl.

## ◆ emulation

Emulation radm::SerialAccessPort::Settings::emulation

Terminal emulation setting.

Definition at line 67 of file SerialAccessPort.idl.

## ◆ encoding

Encoding radm::SerialAccessPort::Settings::encoding

Character encoding.

Definition at line 68 of file SerialAccessPort.idl.

## ◆ escChar

string radm::SerialAccessPort::Settings::escChar

Character for going from terminal to command mode (at most 1 character)

Definition at line 79 of file SerialAccessPort.idl.

## ◆ escKeyModifier

EscapeKeyModifier radm::SerialAccessPort::Settings::escKeyModifier

Key modifier for going from terminal to command mode.

Definition at line 80 of file SerialAccessPort.idl.

## ◆ exitCommand

vector<ExitCommandItem> radm::SerialAccessPort::Settings::exitCommand

Sequence of commands to send when a client disconnects.

Definition at line 81 of file SerialAccessPort.idl.

## ◆ flowCtrl

FlowControl radm::SerialAccessPort::Settings::flowCtrl

Flow control mode.

Definition at line 72 of file SerialAccessPort.idl.

## ◆ multiWriteMode

boolean radm::SerialAccessPort::Settings::multiWriteMode

Whether multiple port accessors can write to the same port simultaneously.

Definition at line 77 of file SerialAccessPort.idl.

## ◆ name

string radm::SerialAccessPort::Settings::name

Port name.

Definition at line 66 of file SerialAccessPort.idl.

## ◆ parity

Parity radm::SerialAccessPort::Settings::parity

Parity mode.

Definition at line 71 of file SerialAccessPort.idl.

## ◆ sshDpaPort

int radm::SerialAccessPort::Settings::sshDpaPort

SSH port for directly accessing this serial port (in case SSH-DPA is enabled)

Definition at line 82 of file SerialAccessPort.idl.

## ◆ stopBits

int radm::SerialAccessPort::Settings::stopBits

Number of stop bits (1 or 2)

Definition at line 73 of file SerialAccessPort.idl.

## ◆ txCharDelayMs

int radm::SerialAccessPort::Settings::txCharDelayMs

Delay after each transmitted character (in ms)

Definition at line 74 of file SerialAccessPort.idl.

## ◆ txLineDelayMs

int radm::SerialAccessPort::Settings::txLineDelayMs

Delay after each transmitted line (in ms)

Definition at line 75 of file SerialAccessPort.idl.

The documentation for this struct was generated from the following file:

- SerialAccessPort.idl